<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ComponentBodyStaging Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d30/class_component_body_staging.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ComponentBodyStaging Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ComponentBodyStaging:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../da/d30/class_component_body_staging.png" usemap="#ComponentBodyStaging_map" alt=""/>
  <map id="ComponentBodyStaging_map" name="ComponentBodyStaging_map">
<area href="../../d2/d00/class_component.html" alt="Component" shape="rect" coords="0,0,146,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a204648c640be8dcf5a35a9654572a927"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d30/class_component_body_staging.html#a204648c640be8dcf5a35a9654572a927">ComponentBodyStaging</a> ()</td></tr>
<tr class="separator:a204648c640be8dcf5a35a9654572a927"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98ba6b6cea047da5b5a06050a366d56d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d30/class_component_body_staging.html#a98ba6b6cea047da5b5a06050a366d56d">~ComponentBodyStaging</a> ()</td></tr>
<tr class="separator:a98ba6b6cea047da5b5a06050a366d56d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cbcfe5e3689b4236fecbb649b6ddeaa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d30/class_component_body_staging.html#a9cbcfe5e3689b4236fecbb649b6ddeaa">SetAsSkinned</a> ()</td></tr>
<tr class="separator:a9cbcfe5e3689b4236fecbb649b6ddeaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49ccbe32242a4cd0634b3c57a20504a3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d30/class_component_body_staging.html#a49ccbe32242a4cd0634b3c57a20504a3">IsSkinned</a> ()</td></tr>
<tr class="separator:a49ccbe32242a4cd0634b3c57a20504a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcb606c4f53cf77777e44c1b2b191523"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d30/class_component_body_staging.html#adcb606c4f53cf77777e44c1b2b191523">SetAsSkinnedClient</a> ()</td></tr>
<tr class="separator:adcb606c4f53cf77777e44c1b2b191523"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e6bbb51692d154531321e6186fcbc59"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d30/class_component_body_staging.html#a9e6bbb51692d154531321e6186fcbc59">SynchSkinnedState</a> ()</td></tr>
<tr class="separator:a9e6bbb51692d154531321e6186fcbc59"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aece8e3257e20b0c01aaaaf26eb0bc23f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d30/class_component_body_staging.html#aece8e3257e20b0c01aaaaf26eb0bc23f">m_IsSkinned</a></td></tr>
<tr class="separator:aece8e3257e20b0c01aaaaf26eb0bc23f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dd/d76/_body_staging_8c_source.html#l00009">9</a> of file <a class="el" href="../../dd/d76/_body_staging_8c_source.html">BodyStaging.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a204648c640be8dcf5a35a9654572a927" name="a204648c640be8dcf5a35a9654572a927"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a204648c640be8dcf5a35a9654572a927">&#9670;&#160;</a></span>ComponentBodyStaging()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ComponentBodyStaging::ComponentBodyStaging </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d76/_body_staging_8c_source.html#l00013">13</a> of file <a class="el" href="../../dd/d76/_body_staging_8c_source.html">BodyStaging.c</a>.</p>

</div>
</div>
<a id="a98ba6b6cea047da5b5a06050a366d56d" name="a98ba6b6cea047da5b5a06050a366d56d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98ba6b6cea047da5b5a06050a366d56d">&#9670;&#160;</a></span>~ComponentBodyStaging()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ComponentBodyStaging::~ComponentBodyStaging </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d76/_body_staging_8c_source.html#l00018">18</a> of file <a class="el" href="../../dd/d76/_body_staging_8c_source.html">BodyStaging.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a49ccbe32242a4cd0634b3c57a20504a3" name="a49ccbe32242a4cd0634b3c57a20504a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49ccbe32242a4cd0634b3c57a20504a3">&#9670;&#160;</a></span>IsSkinned()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ComponentBodyStaging::IsSkinned </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d76/_body_staging_8c_source.html#l00044">44</a> of file <a class="el" href="../../dd/d76/_body_staging_8c_source.html">BodyStaging.c</a>.</p>

</div>
</div>
<a id="a9cbcfe5e3689b4236fecbb649b6ddeaa" name="a9cbcfe5e3689b4236fecbb649b6ddeaa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cbcfe5e3689b4236fecbb649b6ddeaa">&#9670;&#160;</a></span>SetAsSkinned()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ComponentBodyStaging::SetAsSkinned </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d76/_body_staging_8c_source.html#l00023">23</a> of file <a class="el" href="../../dd/d76/_body_staging_8c_source.html">BodyStaging.c</a>.</p>

</div>
</div>
<a id="adcb606c4f53cf77777e44c1b2b191523" name="adcb606c4f53cf77777e44c1b2b191523"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adcb606c4f53cf77777e44c1b2b191523">&#9670;&#160;</a></span>SetAsSkinnedClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ComponentBodyStaging::SetAsSkinnedClient </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d76/_body_staging_8c_source.html#l00049">49</a> of file <a class="el" href="../../dd/d76/_body_staging_8c_source.html">BodyStaging.c</a>.</p>

</div>
</div>
<a id="a9e6bbb51692d154531321e6186fcbc59" name="a9e6bbb51692d154531321e6186fcbc59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e6bbb51692d154531321e6186fcbc59">&#9670;&#160;</a></span>SynchSkinnedState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void ComponentBodyStaging::SynchSkinnedState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d76/_body_staging_8c_source.html#l00059">59</a> of file <a class="el" href="../../dd/d76/_body_staging_8c_source.html">BodyStaging.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aece8e3257e20b0c01aaaaf26eb0bc23f" name="aece8e3257e20b0c01aaaaf26eb0bc23f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aece8e3257e20b0c01aaaaf26eb0bc23f">&#9670;&#160;</a></span>m_IsSkinned</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ComponentBodyStaging::m_IsSkinned</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d76/_body_staging_8c_source.html#l00011">11</a> of file <a class="el" href="../../dd/d76/_body_staging_8c_source.html">BodyStaging.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/tools/Component/<a class="el" href="../../dd/d76/_body_staging_8c_source.html">BodyStaging.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/d30/class_component_body_staging.html">ComponentBodyStaging</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
